Subject: RE: [SIP] Errors handling on session description in ACK

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 7 Nov 2000 03:19:09 -0500

> -----Original Message-----
> From: Piotr S. Kossowski [mailto:[email-masked]]
> Sent: Wednesday, November 01, 2000 7:27 AM
> To: SIP discussion list
> Subject: [SIP] Errors handling on session description in ACK
> 
> 
> Hello,
> 
> When UAC send session description in INVITE request, UAS send 200 OK
> if it supports them or 606 Not Acceptable if not. Clear.
> (I assume ideal situation: no 1xx, etc.)
> 
> When UAC doesn't send session description in INVITE (what means
> that it's going to do that in ACK), UAS' 200 OK contains description.
> Next, UAC sees that it will not be able to support capabilities
> of UAS. Does it send session descr. as if it would send in INVITE,
> regardless of this failed handshake ? This scenario will fail,
> because there is no way of negotiation after UAC has sent ACK,
> since ACK doesn't generate response.

The ACK has an empty body, and the UAC sends a BYE right away.

> 
> 
> More generaly:
> 1. When UAC has an error and doesn't send session descr. in ACK (
>    INVITE did NOT contain session descr. as well), Should
>    UAS just ignore such ACK and treat it as *not received* ?

It should stop retransmitting the 200 OK. That aside, there are no media
sessions.

> 
> 2. Should garbage in body of type application/sdp generate
>    4xx response (which one ?) or 606 with appropriate code in 
>    Warning header (which one ?)

4xx, since the request is malformed. Which one? Plain old 400 is probably
fine.

> 
> 
> By the way,
> 
> I've compared bis-02 with draft-ietf-mmusic-sip-new-00.ps 
> (August '99).

Why? The only useful thing for comparison is rfc2543.

> 
> Section 10.5.1 Unreliable Transport Protocols (bis-02):
> 
> "(...)Response retransmissions cease when (...) the response has been
>  RETRANSMITTED seven times."
> 
> Section 10.5.1 (draft-ietf-mmusic-sip-new-00.ps):
> 
> "(...)Response retransmissions cease when (...) the response has been
>  TRANSMITTED seven times."

RFC2543 also says transmitted seven times.

I think it should still be transmitted, not retransmitted. 

Henning?

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Tue, 07 Nov 2000 09:29:13 -0500

> I think it should still be transmitted, not retransmitted.

Changed to "transmitted".

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs